/* <nagex_dll.h>
 *
 * Copyright 2000 Numerical Algorithms Group.
 *
 * Mark 6,  2000.
 *
 * Mark 7 revised. IER-3902 (September 2001).
 *
 */

#include <nag.h>
#include <windows.h>
/* begin proto */
extern int a02bac_ex(const char *resfile);
extern int c02afc_ex(const char *datafile, const char *resfile);
extern int c02agc_ex(const char *datafile, const char *resfile);
extern int c02akc_ex(const char *datafile, const char *resfile);
extern int c02alc_ex(const char *datafile, const char *resfile);
extern int c05adc_ex(const char *resfile);
extern int c05nbc_ex(const char *resfile);
extern int c05pbc_ex(const char *resfile);
extern int c05sdc_ex(const char *resfile);
extern int c05tbc_ex(const char *resfile);
extern int c05ubc_ex(const char *resfile);
extern int c05zbc_ex(const char *resfile);
extern int c05zcc_ex(const char *resfile);
extern int c06eac_ex(const char *datafile, const char *resfile);
extern int c06ebc_ex(const char *datafile, const char *resfile);
extern int c06ecc_ex(const char *datafile, const char *resfile);
extern int c06ekc_ex(const char *datafile, const char *resfile);
extern int c06fpc_ex(const char *datafile, const char *resfile);
extern int c06fqc_ex(const char *datafile, const char *resfile);
extern int c06frc_ex(const char *datafile, const char *resfile);
extern int c06fuc_ex(const char *datafile, const char *resfile);
extern int c06gbc_ex(const char *datafile, const char *resfile);
extern int c06gcc_ex(const char *datafile, const char *resfile);
extern int c06gqc_ex(const char *datafile, const char *resfile);
extern int c06gsc_ex(const char *datafile, const char *resfile);
extern int c06gzc_ex(const char *datafile, const char *resfile);
extern int c06hac_ex(const char *datafile, const char *resfile);
extern int c06hbc_ex(const char *datafile, const char *resfile);
extern int c06hcc_ex(const char *datafile, const char *resfile);
extern int c06hdc_ex(const char *datafile, const char *resfile);
extern int d01ajc_ex(const char *resfile);
extern int d01akc_ex(const char *resfile);
extern int d01alc_ex(const char *resfile);
extern int d01amc_ex(const char *resfile);
extern int d01anc_ex(const char *resfile);
extern int d01apc_ex(const char *resfile);
extern int d01aqc_ex(const char *resfile);
extern int d01asc_ex(const char *resfile);
extern int d01bac_ex(const char *resfile);
extern int d01fcc_ex(const char *resfile);
extern int d01gac_ex(const char *datafile, const char *resfile);
extern int d01gbc_ex(const char *resfile);
extern int d01sjc_ex(const char *resfile);
extern int d01skc_ex(const char *resfile);
extern int d01slc_ex(const char *resfile);
extern int d01smc_ex(const char *resfile);
extern int d01snc_ex(const char *resfile);
extern int d01spc_ex(const char *resfile);
extern int d01sqc_ex(const char *resfile);
extern int d01ssc_ex(const char *resfile);
extern int d01tac_ex(const char *resfile);
extern int d01wcc_ex(const char *resfile);
extern int d01xbc_ex(const char *resfile);
extern int d02cjc_ex(const char *resfile);
extern int d02ejc_ex(const char *resfile);
extern int d02gac_ex(const char *resfile);
extern int d02gbc_ex(const char *resfile);
extern int d02pcc_ex(const char *resfile);
extern int d02pdc_ex(const char *resfile);
extern int d02pwc_ex(const char *resfile);
extern int d02pxc_ex(const char *resfile);
extern int d02pzc_ex(const char *resfile);
extern int d02qfc_ex(const char *resfile);
extern int d02qzc_ex(const char *resfile);
extern int d02rac_ex(const char *resfile);
extern int e01bac_ex(const char *resfile);
extern int e01bec_ex(const char *datafile, const char *resfile);
extern int e01bfc_ex(const char *datafile, const char *resfile);
extern int e01bgc_ex(const char *datafile, const char *resfile);
extern int e01bhc_ex(const char *datafile, const char *resfile);
extern int e01dac_ex(const char *datafile, const char *resfile);
extern int e01sac_ex(const char *datafile, const char *resfile);
extern int e02adc_ex(const char *datafile, const char *resfile);
extern int e02aec_ex(const char *datafile, const char *resfile);
extern int e02afc_ex(const char *datafile, const char *resfile);
extern int e02bac_ex(const char *datafile, const char *resfile);
extern int e02bbc_ex(const char *datafile, const char *resfile);
extern int e02bcc_ex(const char *datafile, const char *resfile);
extern int e02bdc_ex(const char *datafile, const char *resfile);
extern int e02bec_ex(const char *datafile, const char *resfile);
extern int e02dcc_ex(const char *datafile, const char *resfile);
extern int e02ddc_ex(const char *datafile, const char *resfile);
extern int e02dec_ex(const char *datafile, const char *resfile);
extern int e02dfc_ex(const char *datafile, const char *resfile);
extern int e04abc_ex(const char *resfile);
extern int e04bbc_ex(const char *resfile);
extern int e04ccc_ex(const char *datafile, const char *resfile);
extern int e04dgc_ex(const char *datafile, const char *resfile);
extern int e04fcc_ex(const char *datafile, const char *resfile);
extern int e04gbc_ex(const char *datafile, const char *resfile);
extern int e04hcc_ex(const char *resfile);
extern int e04hdc_ex(const char *resfile);
extern int e04jbc_ex(const char *datafile, const char *resfile);
extern int e04kbc_ex(const char *datafile, const char *resfile);
extern int e04lbc_ex(const char *datafile, const char *resfile);
extern int e04mfc_ex(const char *datafile, const char *resfile);
extern int e04mzc_ex(const char *datafile, const char *resfile);
extern int e04ncc_ex(const char *datafile, const char *resfile);
extern int e04nfc_ex(const char *datafile, const char *resfile);
extern int e04nkc_ex(const char *datafile, const char *resfile);
extern int e04ucc_ex(const char *datafile, const char *resfile);
extern int e04ugc_ex(const char *datafile, const char *resfile);
extern int e04unc_ex(const char *datafile, const char *resfile);
extern int e04xac_ex(const char *resfile);
extern int e04yac_ex(const char *datafile, const char *resfile);
extern int e04ycc_ex(const char *datafile, const char *resfile);
extern int f01bnc_ex(const char *datafile, const char *resfile);
extern int f01mcc_ex(const char *datafile, const char *resfile);
extern int f01qcc_ex(const char *datafile, const char *resfile);
extern int f01qdc_ex(const char *datafile, const char *resfile);
extern int f01qec_ex(const char *datafile, const char *resfile);
extern int f01rcc_ex(const char *datafile, const char *resfile);
extern int f01rdc_ex(const char *datafile, const char *resfile);
extern int f01rec_ex(const char *datafile, const char *resfile);
extern int f02aac_ex(const char *datafile, const char *resfile);
extern int f02abc_ex(const char *datafile, const char *resfile);
extern int f02adc_ex(const char *datafile, const char *resfile);
extern int f02aec_ex(const char *datafile, const char *resfile);
extern int f02afc_ex(const char *datafile, const char *resfile);
extern int f02agc_ex(const char *datafile, const char *resfile);
extern int f02awc_ex(const char *datafile, const char *resfile);
extern int f02axc_ex(const char *datafile, const char *resfile);
extern int f02bjc_ex(const char *datafile, const char *resfile);
extern int f02ecc_ex(const char *datafile, const char *resfile);
extern int f02gcc_ex(const char *datafile, const char *resfile);
extern int f02wec_ex(const char *datafile, const char *resfile);
extern int f02xec_ex(const char *datafile, const char *resfile);
extern int f03aec_ex(const char *datafile, const char *resfile);
extern int f03afc_ex(const char *datafile, const char *resfile);
extern int f03ahc_ex(const char *datafile, const char *resfile);
extern int f04adc_ex(const char *datafile, const char *resfile);
extern int f04agc_ex(const char *datafile, const char *resfile);
extern int f04ajc_ex(const char *datafile, const char *resfile);
extern int f04akc_ex(const char *datafile, const char *resfile);
extern int f04arc_ex(const char *datafile, const char *resfile);
extern int f04awc_ex(const char *datafile, const char *resfile);
extern int f04mcc_ex(const char *datafile, const char *resfile);
extern int f06pbc_ex(const char *datafile, const char *resfile);
extern int f06sbc_ex(const char *datafile, const char *resfile);
extern int f06ycc_ex(const char *datafile, const char *resfile);
extern int f06zcc_ex(const char *datafile, const char *resfile);
extern int f11dac_ex(const char *datafile, const char *resfile);
extern int f11dcc_ex(const char *datafile, const char *resfile);
extern int f11dec_ex(const char *datafile, const char *resfile);
extern int f11jac_ex(const char *datafile, const char *resfile);
extern int f11jcc_ex(const char *datafile, const char *resfile);
extern int f11jec_ex(const char *datafile, const char *resfile);
extern int f11zac_ex(const char *datafile, const char *resfile);
extern int f11zbc_ex(const char *datafile, const char *resfile);
extern int g01aac_ex(const char *datafile, const char *resfile);
extern int g01aec_ex(const char *datafile, const char *resfile);
extern int g01alc_ex(const char *datafile, const char *resfile);
extern int g01bjc_ex(const char *datafile, const char *resfile);
extern int g01bkc_ex(const char *datafile, const char *resfile);
extern int g01blc_ex(const char *datafile, const char *resfile);
extern int g01cec_ex(const char *resfile);
extern int g01ddc_ex(const char *datafile, const char *resfile);
extern int g01dhc_ex(const char *datafile, const char *resfile);
extern int g01eac_ex(const char *datafile, const char *resfile);
extern int g01ebc_ex(const char *datafile, const char *resfile);
extern int g01ecc_ex(const char *datafile, const char *resfile);
extern int g01edc_ex(const char *datafile, const char *resfile);
extern int g01eec_ex(const char *datafile, const char *resfile);
extern int g01efc_ex(const char *datafile, const char *resfile);
extern int g01fac_ex(const char *datafile, const char *resfile);
extern int g01fbc_ex(const char *datafile, const char *resfile);
extern int g01fcc_ex(const char *datafile, const char *resfile);
extern int g01fdc_ex(const char *datafile, const char *resfile);
extern int g01fec_ex(const char *datafile, const char *resfile);
extern int g01ffc_ex(const char *datafile, const char *resfile);
extern int g01gbc_ex(const char *datafile, const char *resfile);
extern int g01gcc_ex(const char *datafile, const char *resfile);
extern int g01gdc_ex(const char *datafile, const char *resfile);
extern int g01gec_ex(const char *datafile, const char *resfile);
extern int g01hac_ex(const char *datafile, const char *resfile);
extern int g01hbc_ex(const char *datafile, const char *resfile);
extern int g02brc_ex(const char *datafile, const char *resfile);
extern int g02bxc_ex(const char *datafile, const char *resfile);
extern int g02byc_ex(const char *datafile, const char *resfile);
extern int g02cac_ex(const char *datafile, const char *resfile);
extern int g02cbc_ex(const char *datafile, const char *resfile);
extern int g02dac_ex(const char *datafile, const char *resfile);
extern int g02dcc_ex(const char *datafile, const char *resfile);
extern int g02ddc_ex(const char *datafile, const char *resfile);
extern int g02dec_ex(const char *datafile, const char *resfile);
extern int g02dfc_ex(const char *datafile, const char *resfile);
extern int g02dgc_ex(const char *datafile, const char *resfile);
extern int g02dkc_ex(const char *datafile, const char *resfile);
extern int g02dnc_ex(const char *datafile, const char *resfile);
extern int g02fac_ex(const char *datafile, const char *resfile);
extern int g02gac_ex(const char *datafile, const char *resfile);
extern int g02gbc_ex(const char *datafile, const char *resfile);
extern int g02gcc_ex(const char *datafile, const char *resfile);
extern int g02gdc_ex(const char *datafile, const char *resfile);
extern int g02gkc_ex(const char *datafile, const char *resfile);
extern int g02gnc_ex(const char *datafile, const char *resfile);
extern int g02hac_ex(const char *datafile, const char *resfile);
extern int g02hkc_ex(const char *datafile, const char *resfile);
extern int g03aac_ex(const char *datafile, const char *resfile);
extern int g03acc_ex(const char *datafile, const char *resfile);
extern int g03adc_ex(const char *datafile, const char *resfile);
extern int g03bac_ex(const char *datafile, const char *resfile);
extern int g03bcc_ex(const char *datafile, const char *resfile);
extern int g03cac_ex(const char *datafile, const char *resfile);
extern int g03ccc_ex(const char *datafile, const char *resfile);
extern int g03dac_ex(const char *datafile, const char *resfile);
extern int g03dbc_ex(const char *datafile, const char *resfile);
extern int g03dcc_ex(const char *datafile, const char *resfile);
extern int g03eac_ex(const char *datafile, const char *resfile);
extern int g03ecc_ex(const char *datafile, const char *resfile);
extern int g03efc_ex(const char *datafile, const char *resfile);
extern int g03ehc_ex(const char *datafile, const char *resfile);
extern int g03ejc_ex(const char *datafile, const char *resfile);
extern int g03fac_ex(const char *datafile, const char *resfile);
extern int g03fcc_ex(const char *datafile, const char *resfile);
extern int g03zac_ex(const char *datafile, const char *resfile);
extern int g04bbc_ex(const char *datafile, const char *resfile);
extern int g04bcc_ex(const char *datafile, const char *resfile);
extern int g04cac_ex(const char *datafile, const char *resfile);
extern int g04dbc_ex(const char *datafile, const char *resfile);
extern int g04eac_ex(const char *datafile, const char *resfile);
extern int g05cac_ex(const char *resfile);
extern int g05cbc_ex(const char *resfile);
extern int g05ccc_ex(const char *resfile);
extern int g05cfc_ex(const char *resfile);
extern int g05cgc_ex(const char *resfile);
extern int g05dac_ex(const char *resfile);
extern int g05dbc_ex(const char *resfile);
extern int g05ddc_ex(const char *resfile);
extern int g05dyc_ex(const char *resfile);
extern int g05eac_ex(const char *resfile);
extern int g05ecc_ex(const char *resfile);
extern int g05edc_ex(const char *resfile);
extern int g05ehc_ex(const char *resfile);
extern int g05ejc_ex(const char *resfile);
extern int g05exc_ex(const char *resfile);
extern int g05eyc_ex(const char *resfile);
extern int g05ezc_ex(const char *resfile);
extern int g05fec_ex(const char *resfile);
extern int g05ffc_ex(const char *resfile);
extern int g05hac_ex(const char *resfile);
extern int g07cac_ex(const char *datafile, const char *resfile);
extern int g07dac_ex(const char *datafile, const char *resfile);
extern int g07dbc_ex(const char *datafile, const char *resfile);
extern int g07ddc_ex(const char *datafile, const char *resfile);
extern int g08aac_ex(const char *datafile, const char *resfile);
extern int g08acc_ex(const char *datafile, const char *resfile);
extern int g08aec_ex(const char *datafile, const char *resfile);
extern int g08afc_ex(const char *datafile, const char *resfile);
extern int g08agc_ex(const char *datafile, const char *resfile);
extern int g08amc_ex(const char *datafile, const char *resfile);
extern int g08cbc_ex(const char *datafile, const char *resfile);
extern int g08cdc_ex(const char *datafile, const char *resfile);
extern int g08cgc_ex(const char *datafile, const char *resfile);
extern int g08eac_ex(const char *resfile);
extern int g08ebc_ex(const char *resfile);
extern int g08ecc_ex(const char *resfile);
extern int g08edc_ex(const char *resfile);
extern int g10abc_ex(const char *datafile, const char *resfile);
extern int g10acc_ex(const char *datafile, const char *resfile);
extern int g10bac_ex(const char *datafile, const char *resfile);
extern int g10cac_ex(const char *datafile, const char *resfile);
extern int g10zac_ex(const char *datafile, const char *resfile);
extern int g11aac_ex(const char *datafile, const char *resfile);
extern int g11bac_ex(const char *datafile, const char *resfile);
extern int g11bbc_ex(const char *datafile, const char *resfile);
extern int g12aac_ex(const char *datafile, const char *resfile);
extern int g12bac_ex(const char *datafile, const char *resfile);
extern int g13abc_ex(const char *datafile, const char *resfile);
extern int g13acc_ex(const char *datafile, const char *resfile);
extern int g13asc_ex(const char *datafile, const char *resfile);
extern int g13bec_ex(const char *datafile, const char *resfile);
extern int g13bjc_ex(const char *datafile, const char *resfile);
extern int g13cbc_ex(const char *datafile, const char *resfile);
extern int g13cdc_ex(const char *datafile, const char *resfile);
extern int g13cec_ex(const char *datafile, const char *resfile);
extern int g13cfc_ex(const char *datafile, const char *resfile);
extern int g13cgc_ex(const char *datafile, const char *resfile);
extern int g13eac_ex(const char *datafile, const char *resfile);
extern int g13ebc_ex(const char *datafile, const char *resfile);
extern int g13ecc_ex(const char *datafile, const char *resfile);
extern int g13edc_ex(const char *datafile, const char *resfile);
extern int g13ewc_ex(const char *datafile, const char *resfile);
extern int g13exc_ex(const char *datafile, const char *resfile);
extern int g13fac_ex(const char *resfile);
extern int g13fcc_ex(const char *resfile);
extern int g13fec_ex(const char *resfile);
extern int h02bbc_ex(const char *datafile, const char *resfile);
extern int h02buc_ex(const char *datafile, const char *resfile);
extern int h03abc_ex(const char *resfile);
extern int m01cac_ex(const char *datafile, const char *resfile);
extern int m01csc_ex(const char *datafile, const char *resfile);
extern int m01ctc_ex(const char *datafile, const char *resfile);
extern int m01cuc_ex(const char *resfile);
extern int m01dsc_ex(const char *datafile, const char *resfile);
extern int m01esc_ex(const char *datafile, const char *resfile);
extern int m01fsc_ex(const char *datafile, const char *resfile);
extern int m01zac_ex(const char *datafile, const char *resfile);
extern int s10aac_ex(const char *datafile, const char *resfile);
extern int s10abc_ex(const char *datafile, const char *resfile);
extern int s10acc_ex(const char *datafile, const char *resfile);
extern int s11aac_ex(const char *datafile, const char *resfile);
extern int s11abc_ex(const char *datafile, const char *resfile);
extern int s11acc_ex(const char *datafile, const char *resfile);
extern int s13aac_ex(const char *datafile, const char *resfile);
extern int s13acc_ex(const char *datafile, const char *resfile);
extern int s13adc_ex(const char *datafile, const char *resfile);
extern int s14aac_ex(const char *datafile, const char *resfile);
extern int s14abc_ex(const char *datafile, const char *resfile);
extern int s14aec_ex(const char *datafile, const char *resfile);
extern int s14afc_ex(const char *datafile, const char *resfile);
extern int s14bac_ex(const char *datafile, const char *resfile);
extern int s15abc_ex(const char *datafile, const char *resfile);
extern int s15acc_ex(const char *datafile, const char *resfile);
extern int s15adc_ex(const char *datafile, const char *resfile);
extern int s15aec_ex(const char *datafile, const char *resfile);
extern int s17acc_ex(const char *datafile, const char *resfile);
extern int s17adc_ex(const char *datafile, const char *resfile);
extern int s17aec_ex(const char *datafile, const char *resfile);
extern int s17afc_ex(const char *datafile, const char *resfile);
extern int s17agc_ex(const char *datafile, const char *resfile);
extern int s17ahc_ex(const char *datafile, const char *resfile);
extern int s17ajc_ex(const char *datafile, const char *resfile);
extern int s17akc_ex(const char *datafile, const char *resfile);
extern int s17alc_ex(const char *datafile, const char *resfile);
extern int s18acc_ex(const char *datafile, const char *resfile);
extern int s18adc_ex(const char *datafile, const char *resfile);
extern int s18aec_ex(const char *datafile, const char *resfile);
extern int s18afc_ex(const char *datafile, const char *resfile);
extern int s18ccc_ex(const char *datafile, const char *resfile);
extern int s18cdc_ex(const char *datafile, const char *resfile);
extern int s18cec_ex(const char *datafile, const char *resfile);
extern int s18cfc_ex(const char *datafile, const char *resfile);
extern int s18ecc_ex(const char *datafile, const char *resfile);
extern int s18edc_ex(const char *datafile, const char *resfile);
extern int s18eec_ex(const char *datafile, const char *resfile);
extern int s18efc_ex(const char *datafile, const char *resfile);
extern int s18egc_ex(const char *datafile, const char *resfile);
extern int s18ehc_ex(const char *datafile, const char *resfile);
extern int s18ejc_ex(const char *datafile, const char *resfile);
extern int s18ekc_ex(const char *datafile, const char *resfile);
extern int s19aac_ex(const char *datafile, const char *resfile);
extern int s19abc_ex(const char *datafile, const char *resfile);
extern int s19acc_ex(const char *datafile, const char *resfile);
extern int s19adc_ex(const char *datafile, const char *resfile);
extern int s20acc_ex(const char *datafile, const char *resfile);
extern int s20adc_ex(const char *datafile, const char *resfile);
extern int s21bac_ex(const char *resfile);
extern int s21bbc_ex(const char *resfile);
extern int s21bcc_ex(const char *resfile);
extern int s21bdc_ex(const char *resfile);
extern int s21cbc_ex(const char *datafile, const char *resfile);
extern int s21ccc_ex(const char *datafile, const char *resfile);
extern int s21dac_ex(const char *datafile, const char *resfile);
extern int s22aac_ex(const char *datafile, const char *resfile);
/* end proto */
